Bug 1373276 - DHCP timeout due to race condition calling nm-dhcp-helper
Summary: DHCP timeout due to race condition calling nm-dhcp-helper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1372854
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-05 17:10 UTC by Thomas Haller
Modified: 2016-11-03 19:30 UTC (History)
14 users (show)

Fixed In Version: NetworkManager-1.4.0-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1372854
Environment:
Last Closed: 2016-11-03 19:30:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Thomas Haller 2016-09-05 17:10:18 UTC
+++ This bug was initially created as a clone of Bug #1372854 +++

when using dhclient DHCP plugin, the nm-dhcp-helper notifies NetworkManager about lease events by emitting a D-Bus signal "Event".

Due to a race, NetworkManager might miss the signal and DHCP times out.

Fix that, by instead using a D-Bus method "Notify".


More details in bug 1372854.

Comment 5 Vladimir Benes 2016-09-15 13:19:26 UTC
This was verified by reporter in https://bugzilla.redhat.com/show_bug.cgi?id=1372854#c16.

Comment 7 errata-xmlrpc 2016-11-03 19:30:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.